;
; rambo patch
; mailto:jp@drumfu.com
; june 2011
;
; patch for speedlock release of
; rambo to fix:
;
; *1* +2a/+3 compatability - im2 table - g00db0y
; *2* game crashes when shooting gunship - g00db0y
;
; as discussed within the wos forums
; http://www.worldofspectrum.org/forums/showthread.php?t=34295
;
; patch created by jp (minor improvements by Einar Saukas)
;
	org $8000
;
main	ld ix,$5ccb		; load basic
	ld de,1562
	ld a,$ff
	scf
	call $0556
	jr nc,main
;
	di
	ld hl,$5efd
	push hl
	ld de,$bcbb
	ld bc,$0262
	ld a,$c2
	ld r,a
	call $61f6		; 1st decrypter
;
	ld hl,$bce9
	ld de,$5f2b
	ld bc,$0234
	ld a,r
	add a,21
	set 7,a
	ld r,a
	call $bcdc		; 2nd decrypter
;
	pop hl
	ld ($bcf0),hl
	ld hl,$bd35
	dec (hl)
;
	call $bce9		; 3rd decrypter
;
	ld hl,patch
	ld de,$bce9
	ld bc,epatch-patch
	push de
	ldir			; copy patch
;
	pop hl
	ld ($bf09),hl
;
	jp $bebd		; execute loader
;
patch	ld a,$3b
	ld ($6719),a		; *1*
	ld hl,$020e
	ld ($a2a7),hl           ; *2*
	ld a,$b0
	ld ($a2aa),a
;
	jp $6700		; start game
epatch	equ $
;
	end
;
